/*
 * Created on Nov 17, 2003
 */
package com.ibm.mda.uxjsf.ui.dialogs;

import java.util.Iterator;

import org.eclipse.jface.preference.FieldEditor;
import org.eclipse.swt.widgets.Composite;

import com.ibm.xde.mda.interaction.dialogs.FieldEditorDialogPage;

import com.ibm.mda.uxjsf.ui.UX_to_JSF_DesignParameters;


/**
 * @author dubauski
 *
 * XDE 1.5, 
 * IBM Rational Software 2003
 */
public class UX_to_JSF_DesignDialogPage extends FieldEditorDialogPage {
	/**
	 * @param title
	 * @param image
	 * @param style
	 */
	public UX_to_JSF_DesignDialogPage(String title) {
		super(title, FieldEditorDialogPage.GRID);
		UX_to_JSF_DesignParameters.initialize(this);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	protected void createFieldEditors() {
		UX_to_JSF_DesignParameters.createFieldEditors(getFieldEditorParent());
		Iterator iter = UX_to_JSF_DesignParameters.getFields();
		while (iter.hasNext()) {
			FieldEditor element = (FieldEditor) iter.next();
			addField(element);
		}
		
		// copy the store. this is the right time to do it.
		_cloneStore = clonePreferenceStore(
			getPreferenceStore(),
			UX_to_JSF_DesignParameters.getFields(),
			"UX_to_JSF_DesignDialogPage" // prefix of the temp store file
		);
		setPreferenceStore(_cloneStore);
	}
	
	public Composite createMainPanel(Composite parent) {
		return (Composite)createContents(parent);
	}
}
